- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PatchTableFactory::PatchFaceTag Struct Reference

`#include <patchTableFactory.h>`

## Public Member Functions
void | clear ()
void | assignBoundaryPropertiesFromEdgeMask (int boundaryEdgeMask)
void | assignBoundaryPropertiesFromVertexMask (int boundaryVertexMask)
void | assignTransitionPropertiesFromEdgeMask (int transitionMask)

## Public Attributes
unsigned int | _hasPatch: 1
unsigned int | _isRegular: 1
unsigned int | _transitionMask: 4
unsigned int | _boundaryMask: 4
unsigned int | _boundaryIndex: 2
unsigned int | _boundaryCount: 3
unsigned int | _hasBoundaryEdge: 3
unsigned int | _isSingleCrease: 1

## Detailed Description

Definition at line 59 of file patchTableFactory.h.

## Member Function Documentation

void assignBoundaryPropertiesFromEdgeMask | ( | int | boundaryEdgeMask | ) |

void assignBoundaryPropertiesFromVertexMask | ( | int | boundaryVertexMask | ) |

void assignTransitionPropertiesFromEdgeMask | ( | int | transitionMask | ) |
| inline

Definition at line 73 of file patchTableFactory.h.

void clear | ( |  | ) |

## Member Data Documentation

unsigned int _boundaryCount

Definition at line 66 of file patchTableFactory.h.

unsigned int _boundaryIndex

Definition at line 65 of file patchTableFactory.h.

unsigned int _boundaryMask

Definition at line 64 of file patchTableFactory.h.

unsigned int _hasBoundaryEdge

Definition at line 67 of file patchTableFactory.h.

unsigned int _hasPatch

Definition at line 61 of file patchTableFactory.h.

unsigned int _isRegular

Definition at line 62 of file patchTableFactory.h.

unsigned int _isSingleCrease

Definition at line 68 of file patchTableFactory.h.

unsigned int _transitionMask

Definition at line 63 of file patchTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/patchTableFactory.h